<template>
    <div class="register">
        <v-app>
            <v-container>
                <v-layout>
                    <v-flex xs3>
                        <router-link :to="{ name: 'home' }">
                            <v-btn color="info" small>
                                <v-icon color='white'>arrow_back</v-icon>
                            </v-btn>
                        </router-link>
                    </v-flex>
                    <v-flex xs3>
                        <div>
                            <h2 class="text-xs-center">Register</h2>
                            <v-form
                                    ref="form"
                                    v-model="valid"
                                    lazy-validation
                            >
                                <v-text-field
                                        v-model="name"
                                        :counter="3"
                                        :rules="nameRules"
                                        label="Name"
                                        required
                                ></v-text-field>
                                <v-text-field
                                        v-model="surname"
                                        :counter="3"
                                        :rules="surnameRules"
                                        label="Surname"
                                        required
                                ></v-text-field>
                                <v-text-field
                                        v-model="email"
                                        :rules="emailRules"
                                        label="E-mail"
                                        required
                                ></v-text-field>
                                <v-text-field
                                        v-model="password"
                                        :rules="passwordRules"
                                        label="Password"
                                        :type="'password'"
                                        required
                                ></v-text-field>
                                <v-text-field
                                        v-model="passwordConfirm"
                                        :rules="passwordConfirmRules"
                                        label="Password Confirm"
                                        :type="'password'"
                                        required
                                ></v-text-field>
                                <v-btn
                                        :disabled="!valid"
                                        color="info"
                                        @click="validate"
                                >
                                    Submit
                                </v-btn>
                            </v-form>
                        </div>
                    </v-flex>
                </v-layout>
            </v-container>
        </v-app>
    </div>
</template>

<script>
    export default {
        data() {
            return {
                success: false,
                error: false,
                errors: {},
                valid: true,
                name: '',
                nameRules: [
                    v => !!v || 'Name is required',
                    v => (v && v.length >= 3) || 'Name must be more than 3 characters'
                ],
                surname: '',
                surnameRules: [
                    v => !!v || 'Surname is required',
                    v => (v && v.length >= 3) || 'Surname must be more than 3 characters'
                ],
                email: '',
                emailRules: [
                    v => !!v || 'E-mail is required',
                    v => /.+@.+/.test(v) || 'E-mail must be valid'
                ],
                password: '',
                passwordRules: [
                    v => !!v || 'Password is required',
                    v => (v && v.length >= 6) || 'Password must be more than 5 characters',
                ],
                passwordConfirm: '',
                passwordConfirmRules: [
                    v => !!v || 'Password confirmation is required',
                    v => v === this.password || 'Password must match'
                ],
            }
        },
        methods: {
            validate () {
                if (this.$refs.form.validate()) {
                    let value = {
                        name: this.name ,
                        surname: this.surname,
                        email: this.email,
                        password: this.password
                    };
                    this.axios.post('/register' ,value).then(function (response) {
                        localStorage.setItem('token', response.data)
                    })
                }
            },
        }
    }
</script>